.TH dhelp_parse 8 "29 May 2008" Debian "Debian Linux manual"
.SH NAME 
dhelp_parse \- Debian online help parser
.SH SYNOPSIS
.B dhelp_parse
.IR "[ -r | -i | -a doc-base_file | -d doc-base_file ]"
.SH DESCRIPTION
This program is used by package developers to register the
documents included in a package.

In most cases it is called by
.B install-docs
(see
.B doc-base
package), which in turn is called from the postinst and
prerm scripts of a Debian package.

An index of the registered documents is written in the
directory
.I /usr/share/doc/HTML

.SH OPTIONS
.TP
.B \-h,\-\-help
Displays the help page.
.TP
.B \-a
Adds the documentation found in the given
.I doc-base
files to the dhelp database.
.TP
.B \-d
Deletes the documentation found in the given
.I doc-base
files from the dhelp database.
.TP
.B \-i
Does an incremental update of the documents index for all
documentation added with the \-a switch after the last index
update.
.TP
.B \-r
Ignored, kept for compatibility.

.SH PACKAGE DEVELOPERS
You should usually rely on
.B install-docs
to do the work for you, but if for some reason you want to
use
.B dhelp_parse
directly (not recommended!), you have to call it like this:

.SS postinst
if [ \-x /usr/sbin/dhelp_parse ]; then
.br
  dhelp_parse \-a /var/lib/doc-base/documents/foo
.br
fi

.SS prerm
if [ \-x /usr/sbin/dhelp_parse ]; then
.br
  dhelp_parse \-d /var/lib/doc-base/documents/foo
.br
fi

Note that
.I /var/lib/doc-base/documents/foo
has to be a valid
.B doc-base
file (see
.B doc-base
documentation).

.SH SEE ALSO
dhelp(1), install-docs(8)
.SH AUTHOR
This package was written by Esteban Manchado Velázquez
(zoso@debian.org).
